Index: uspace/lib/net/il/ip_remote.c
===================================================================
--- uspace/lib/net/il/ip_remote.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/il/ip_remote.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup ip
+/** @addtogroup libnet
  * @{
  */
@@ -57,10 +57,9 @@
  * The target network is routed using this device.
  *
- * @param[in] ip_phone  The IP module phone used for (semi)remote calls.
- * @param[in] device_id The device identifier.
- * @param[in] address   The target network address.
- * @param[in] netmask   The target network mask.
- * @param[in] gateway   The target network gateway. Not used if zero.
- *
+ * @param[in] ip_phone	The IP module phone used for (semi)remote calls.
+ * @param[in] device_id	The device identifier.
+ * @param[in] address	The target network address.
+ * @param[in] netmask	The target network mask.
+ * @param[in] gateway	The target network gateway. Not used if zero.
  */
 int ip_add_route_req_remote(int ip_phone, device_id_t device_id,
@@ -72,4 +71,16 @@
 }
 
+/** Creates bidirectional connection with the ip module service and registers
+ * the message receiver.
+ *
+ * @param[in] service	The IP module service.
+ * @param[in] protocol	The transport layer protocol.
+ * @param[in] me	The requesting module service.
+ * @param[in] receiver	The message receiver. Used for remote connection.
+ * @returns		The phone of the needed service.
+ * @returns		EOK on success.
+ * @returns		Other error codes as defined for the bind_service()
+ *			function.
+ */
 int ip_bind_service(services_t service, int protocol, services_t me,
     async_client_conn_t receiver)
@@ -79,4 +90,9 @@
 }
 
+/** Connects to the IP module.
+ *
+ * @param service	The IP module service. Ignored parameter.
+ * @returns		The IP module phone on success.
+ */
 int ip_connect_module(services_t service)
 {
@@ -89,17 +105,16 @@
  * If the device uses ARP registers also the new ARP device.
  *
- * @param[in] ip_phone  The IP module phone used for (semi)remote calls.
- * @param[in] device_id The new device identifier.
- * @param[in] netif     The underlying device network interface layer service.
- *
- * @return EOK on success.
- * @return ENOMEM if there is not enough memory left.
- * @return EINVAL if the device configuration is invalid.
- * @return ENOTSUP if the device uses IPv6.
- * @return ENOTSUP if the device uses DHCP.
- * @return Other error codes as defined for the net_get_device_conf_req()
- *         function.
- * @return Other error codes as defined for the arp_device_req() function.
- *
+ * @param[in] ip_phone	The IP module phone used for (semi)remote calls.
+ * @param[in] device_id	The new device identifier.
+ * @param[in] netif	The underlying device network interface layer service.
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		EINVAL if the device configuration is invalid.
+ * @return		ENOTSUP if the device uses IPv6.
+ * @return		ENOTSUP if the device uses DHCP.
+ * @return		Other error codes as defined for the
+ *			net_get_device_conf_req() function.
+ * @return		Other error codes as defined for the arp_device_req()
+ *			function.
  */
 int ip_device_req_remote(int ip_phone, device_id_t device_id,
@@ -110,13 +125,14 @@
 }
 
-/** Return the device identifier and the IP pseudo header based on the destination address.
- *
- * @param[in]  ip_phone    The IP module phone used for (semi)remote calls.
- * @param[in]  protocol    The transport protocol.
- * @param[in]  destination The destination address.
- * @param[in]  addrlen     The destination address length.
- * @param[out] device_id   The device identifier.
- * @param[out] header      The constructed IP pseudo header.
- * @param[out] headerlen   The IP pseudo header length.
+/** Return the device identifier and the IP pseudo header based on the
+ * destination address.
+ *
+ * @param[in] ip_phone	The IP module phone used for (semi)remote calls.
+ * @param[in] protocol	The transport protocol.
+ * @param[in] destination The destination address.
+ * @param[in] addrlen	The destination address length.
+ * @param[out] device_id The device identifier.
+ * @param[out] header	The constructed IP pseudo header.
+ * @param[out] headerlen The IP pseudo header length.
  *
  */
@@ -125,8 +141,8 @@
     device_id_t *device_id, void **header, size_t *headerlen)
 {
-	if ((!destination) || (addrlen == 0))
+	if (!destination || (addrlen == 0))
 		return EINVAL;
 	
-	if ((!device_id) || (!header) || (!headerlen))
+	if (!device_id || !header || !headerlen)
 		return EBADMEM;
 	
@@ -137,10 +153,11 @@
 	    (ipcarg_t) protocol, &answer);
 	
-	if ((async_data_write_start(ip_phone, destination, addrlen) == EOK)
-	    && (async_data_read_start(ip_phone, headerlen, sizeof(*headerlen)) == EOK)
-	    && (*headerlen > 0)) {
+	if ((async_data_write_start(ip_phone, destination, addrlen) == EOK) &&
+	    (async_data_read_start(ip_phone, headerlen,
+	    sizeof(*headerlen)) == EOK) && (*headerlen > 0)) {
 		*header = malloc(*headerlen);
 		if (*header) {
-			if (async_data_read_start(ip_phone, *header, *headerlen) != EOK)
+			if (async_data_read_start(ip_phone, *header,
+			    *headerlen) != EOK)
 				free(*header);
 		}
@@ -150,5 +167,5 @@
 	async_wait_for(message_id, &result);
 	
-	if ((result != EOK) && (*header))
+	if ((result != EOK) && *header)
 		free(*header);
 	else
@@ -160,33 +177,29 @@
 /** Return the device packet dimension for sending.
  *
- * @param[in]  ip_phone         The IP module phone used for (semi)remote calls.
- * @param[in]  device_id        The device identifier.
+ * @param[in] ip_phone	The IP module phone used for (semi)remote calls.
+ * @param[in] device_id	The device identifier.
  * @param[out] packet_dimension The packet dimension.
- *
- * @return EOK on success.
- * @return ENOENT if there is no such device.
- * @return Other error codes as defined for the
- *         generic_packet_size_req_remote() function.
- *
+ * @return		EOK on success.
+ * @return		ENOENT if there is no such device.
+ * @return		Other error codes as defined for the
+ *			generic_packet_size_req_remote() function.
  */
 int ip_packet_size_req_remote(int ip_phone, device_id_t device_id,
     packet_dimension_ref packet_dimension)
 {
-	return generic_packet_size_req_remote(ip_phone, NET_IL_PACKET_SPACE, device_id,
-	    packet_dimension);
+	return generic_packet_size_req_remote(ip_phone, NET_IL_PACKET_SPACE,
+	    device_id, packet_dimension);
 }
 
 /** Notify the IP module about the received error notification packet.
  *
- * @param[in] ip_phone  The IP module phone used for (semi)remote calls.
- * @param[in] device_id The device identifier.
- * @param[in] packet    The received packet or the received packet queue.
- * @param[in] target    The target internetwork module service to be
- *                      delivered to.
- * @param[in] error     The packet error reporting service. Prefixes the
- *                      received packet.
- *
- * @return EOK on success.
- *
+ * @param[in] ip_phone	The IP module phone used for (semi)remote calls.
+ * @param[in] device_id	The device identifier.
+ * @param[in] packet	The received packet or the received packet queue.
+ * @param[in] target	The target internetwork module service to be
+ *			delivered to.
+ * @param[in] error	The packet error reporting service. Prefixes the
+ *			received packet.
+ * @return		EOK on success.
  */
 int ip_received_error_msg_remote(int ip_phone, device_id_t device_id,
@@ -201,15 +214,14 @@
  * The packets may get fragmented if needed.
  *
- * @param[in] ip_phone  The IP module phone used for (semi)remote calls.
- * @param[in] device_id The device identifier.
- * @param[in] packet    The packet fragments as a packet queue. All the
- *                      packets have to have the same destination address.
- * @param[in] sender    The sending module service.
- * @param[in] error     The packet error reporting service. Prefixes the
- *                      received packet.
- *
- * @return EOK on success.
- * @return Other error codes as defined for the generic_send_msg() function.
- *
+ * @param[in] ip_phone	The IP module phone used for (semi)remote calls.
+ * @param[in] device_id	The device identifier.
+ * @param[in] packet	The packet fragments as a packet queue. All the
+ *			packets have to have the same destination address.
+ * @param[in] sender	The sending module service.
+ * @param[in] error	The packet error reporting service. Prefixes the
+ *			received packet.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the generic_send_msg()
+ *			function.
  */
 int ip_send_msg_remote(int ip_phone, device_id_t device_id, packet_t packet,
@@ -224,8 +236,7 @@
  * This gateway is used if no other route is found.
  *
- * @param[in] ip_phone  The IP module phone used for (semi)remote calls.
- * @param[in] device_id The device identifier.
- * @param[in] gateway   The default gateway.
- *
+ * @param[in] ip_phone	The IP module phone used for (semi)remote calls.
+ * @param[in] device_id	The device identifier.
+ * @param[in] gateway	The default gateway.
  */
 int ip_set_gateway_req_remote(int ip_phone, device_id_t device_id,
Index: uspace/lib/net/include/ethernet_lsap.h
===================================================================
--- uspace/lib/net/include/ethernet_lsap.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/lib/net/include/ethernet_lsap.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -27,105 +27,32 @@
  */
 
-/** @addtogroup eth
- *  @{
+/** @addtogroup libnet
+ * @{
  */
 
 /** @file
- *  Link service access point identifiers.
+ * Link service access point identifiers.
  */
 
-#ifndef __NET_ETHERNET_LSAP_H__
-#define __NET_ETHERNET_LSAP_H__
+#ifndef LIBNET_ETHERNET_LSAP_H_
+#define LIBNET_ETHERNET_LSAP_H_
 
 #include <sys/types.h>
 
-/** Ethernet LSAP type definition.
- */
-typedef uint8_t	eth_lsap_t;
+/** Ethernet LSAP type definition. */
+typedef uint8_t eth_lsap_t;
 
-/** @name Ethernet LSAP values definitions
- */
+/** @name Ethernet LSAP values definitions */
 /*@{*/
 
-/** Null LSAP LSAP identifier.
- */
+/** Null LSAP LSAP identifier. */
 #define ETH_LSAP_NULL	0x00
-/** Individual LLC Sublayer Management Function LSAP identifier.
- */
-#define ETH_LSAP_ISLMF	0x02
-/** Group LLC Sublayer Management Function LSAP identifier.
- */
-#define ETH_LSAP_GSLMI	0x03
-/** IBM SNA Path Control (individual) LSAP identifier.
- */
-#define ETH_LSAP_ISNA	0x04
-/** IBM SNA Path Control (group) LSAP identifier.
- */
-#define ETH_LSAP_GSNA	0x05
-/** ARPANET Internet Protocol (IP) LSAP identifier.
- */
+/** ARPANET Internet Protocol (IP) LSAP identifier. */
 #define ETH_LSAP_IP	0x06
-/** SNA LSAP identifier.
- */
-#define ETH_LSAP_SNA	0x08
-/** SNA LSAP identifier.
- */
-#define ETH_LSAP_SNA2	0x0C
-/** PROWAY (IEC955) Network Management &Initialization LSAP identifier.
- */
-#define ETH_LSAP_PROWAY_NMI	0x0E
-/** Texas Instruments LSAP identifier.
- */
-#define ETH_LSAP_TI	0x18
-/** IEEE 802.1 Bridge Spanning Tree Protocol LSAP identifier.
- */
-#define ETH_LSAP_BRIDGE	0x42
-/** EIA RS-511 Manufacturing Message Service LSAP identifier.
- */
-#define ETH_LSAP_EIS	0x4E
-/** ISO 8208 (X.25 over IEEE 802.2 Type 2 LLC) LSAP identifier.
- */
-#define ETH_LSAP_ISO8208	0x7E
-/** Xerox Network Systems (XNS) LSAP identifier.
- */
-#define ETH_LSAP_XNS	0x80
-/** Nestar LSAP identifier.
- */
-#define ETH_LSAP_NESTAR	0x86
-/** PROWAY (IEC 955) Active Station List Maintenance LSAP identifier.
- */
-#define ETH_LSAP_PROWAY_ASLM	0x8E
-/** ARPANET Address Resolution Protocol (ARP) LSAP identifier.
- */
+/** ARPANET Address Resolution Protocol (ARP) LSAP identifier. */
 #define ETH_LSAP_ARP	0x98
-/** Banyan VINES LSAP identifier.
- */
-#define ETH_LSAP_VINES	0xBC
-/** SubNetwork Access Protocol (SNAP) LSAP identifier.
- */
+/** SubNetwork Access Protocol (SNAP) LSAP identifier. */
 #define ETH_LSAP_SNAP	0xAA
-/** Novell NetWare LSAP identifier.
- */
-#define ETH_LSAP_NETWARE	0xE0
-/** IBM NetBIOS LSAP identifier.
- */
-#define ETH_LSAP_NETBIOS	0xF0
-/** IBM LAN Management (individual) LSAP identifier.
- */
-#define ETH_LSAP_ILAN	0xF4
-/** IBM LAN Management (group) LSAP identifier.
- */
-#define ETH_LSAP_GLAN	0xF5
-/** IBM Remote Program Load (RPL) LSAP identifier.
- */
-#define ETH_LSAP_RPL	0xF8
-/** Ungermann-Bass LSAP identifier.
- */
-#define ETH_LSAP_UB	0xFA
-/** ISO Network Layer Protocol LSAP identifier.
- */
-#define ETH_LSAP_ISONLP	0xFE
-/** Global LSAP LSAP identifier.
- */
+/** Global LSAP LSAP identifier. */
 #define ETH_LSAP_GLSAP	0xFF
 
